@extends('cms::admin.layouts.app')

@section('content')
    <form method="post" action="{{ route('cms.upload') }}" class="card" autocomplete="off" @submit="validateBeforeSubmit">
        @csrf
        <div class="card-body">
            <fieldset>
                @component('cms::components.hidden')
                    @slot('key', 'hidden-field')
                    @slot('value', 1)
                @endcomponent

                @component('cms::components.input')
                    @slot('key', 'new-input')
                    @slot('placeholder', 'new-input')
                    @slot('validate', 'required')
                    @slot('value', null)
                @endcomponent

                @component('cms::components.textarea')
                    @slot('key', 'textarea')
                    @slot('validate', 'required')
                    @slot('placeholder', 'textarea-placeholder')
                    @slot('value', null)
                @endcomponent

                @component('cms::components.select')
                    @slot('key', 'owner_status')
                    @slot('placeholder', 'Placeholder')
                    @slot('value', old('owner_status', 0))
                    @slot('attributes', ['required'])
                    @slot('options', ['coffee', 'tea'])
                @endcomponent

                @component('cms::components.select2')
                    @slot('key', 'owner_status2')
                    @slot('placeholder', 'Placeholder2')
                    @slot('value', old('owner_status2', 0))
                    @slot('attributes', ['required'])
                    @slot('validate', 'required')
                    @slot('options', ['coffee', 'tea'])
                @endcomponent

                @component('cms::components.checkbox')
                    @slot('key', 'checkbox')
                    @slot('placeholder', 'First or second?')
                    @slot('value', ['one', 'two'])
                    @slot('validate', 'required')
                    @slot('options', ['one' => 'one', 'two' => 'two'])
                @endcomponent

                @component('cms::components.radio')
                    @slot('key', 'radio')
                    @slot('placeholder', 'First or second?')
                    @slot('value', ['first', 'second'])
                    @slot('validate', 'required')
                    @slot('options', ['first' => 'one', 'second' => 'two'])
                @endcomponent

            {{--  TODO picker (Unknown html tag date-time-picker in picker.blade.php) --}}

            </fieldset>
        </div>
        <div class="card-footer text-right">
            <button class="btn btn-success">Save</button>
        </div>
    </form>
@endsection
