<?php


use DaveJamesMiller\Breadcrumbs\BreadcrumbsGenerator;
use \DaveJamesMiller\Breadcrumbs\Facades\Breadcrumbs;

/**
 *
 */
Breadcrumbs::for('cms.dashboard', function (BreadcrumbsGenerator $trail) {
    $trail->push(trans('cms::breadcrumbs.dashboard'), route('cms.dashboard'));
});
// Users
Breadcrumbs::for('cms.admin-users.index', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.dashboard');
    $trail->push(trans('cms::breadcrumbs.admin-users.index'), route('cms.admin-users.index'));
});
// Media
Breadcrumbs::for('cms.media', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.dashboard');
    $trail->push(trans('cms::breadcrumbs.media.index'), route('cms.media'));
});
Breadcrumbs::for('cms.admin-users.create', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.admin-users.index');
    $trail->push(trans('cms::breadcrumbs.admin-users.create'), route('cms.admin-users.create'));
});
Breadcrumbs::for('cms.admin-users.edit', function (BreadcrumbsGenerator $trail, $userId) {
    $trail->parent('cms.admin-users.index');
    $trail->push(trans('cms::breadcrumbs.admin-users.edit'), route('cms.admin-users.edit', $userId));
});

//Posts
Breadcrumbs::for('cms.posts.index', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.dashboard');
    $trail->push(trans('cms::breadcrumbs.posts.index'), route('cms.posts.index'));
});
Breadcrumbs::for('cms.posts.create', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.posts.index');
    $trail->push(trans('cms::breadcrumbs.posts.create'), route('cms.posts.create'));
});
Breadcrumbs::for('cms.posts.edit', function (BreadcrumbsGenerator $trail, $id) {
    $trail->parent('cms.posts.index');
    $trail->push(trans('cms::breadcrumbs.posts.edit'), route('cms.posts.edit', $id));
});

//Pages
Breadcrumbs::for('cms.pages.index', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.dashboard');
    $trail->push(trans('cms::breadcrumbs.pages.index'), route('cms.pages.index'));
});
Breadcrumbs::for('cms.pages.create', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.pages.index');
    $trail->push(trans('cms::breadcrumbs.pages.create'), route('cms.pages.create'));
});
Breadcrumbs::for('cms.pages.edit', function (BreadcrumbsGenerator $trail, $id) {
    $trail->parent('cms.pages.index');
    $trail->push(trans('cms::breadcrumbs.pages.edit'), route('cms.pages.edit', $id));
});

//Categories
Breadcrumbs::for('cms.categories.index', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.dashboard');
    $trail->push(trans('cms::breadcrumbs.categories.index'), route('cms.categories.index'));
});
Breadcrumbs::for('cms.categories.create', function (BreadcrumbsGenerator $trail) {
    $trail->parent('cms.categories.index');
    $trail->push(trans('cms::breadcrumbs.categories.create'), route('cms.categories.create'));
});
Breadcrumbs::for('cms.categories.edit', function (BreadcrumbsGenerator $trail, $id) {
    $trail->parent('cms.categories.index');
    $trail->push(trans('cms::breadcrumbs.categories.edit'), route('cms.categories.edit', $id));
});

//Inputs
Breadcrumbs::for('cms.inputs', function ($trail) {
    $trail->push('All inputs', route('cms.inputs'));
});

Breadcrumbs::for('errors.404', function ($trail) {
    $trail->push('Title Here', url('admin/users'));
});


$additionalBreadcrumbsList = Config::get('cms.breadcrumbs.additional_list');
if (is_array($additionalBreadcrumbsList) && !empty($additionalBreadcrumbsList)) {
    foreach ($additionalBreadcrumbsList as $file) {
        if (File::exists($file)) {
            require_once $file;
        }
    }
}
